Baltix GNU/Linux

Serial mouse/mice not autodetected

Reported by Daniel Silverstone on 2004-10-13
198
This bug affects 10 people
Affects Status Importance Assigned to Milestone
casper (Mandriva)
Confirmed
High
casper (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Bryce Harrington
xorg (Baltix)
Undecided
Unassigned

Bug Description

When the X server is automatically configured, users with serial mice must perform additional manual configuration, specifically:

1. [only for releases prior to 6.06/Dapper] Install the 'joystick' package (don't ask)

2. Run 'inputattach --help' and find the appropriate protocol option to match your mouse

3. Run 'inputattach <protocol option> /dev/ttyS0'. This command must be run at system startup in order for this configuration to be permanent; in Dapper, it may be added to /etc/rc.local

Actually i am kinda surprised because if the output from mdetect is
not psaux or input/mice it should create the proper stanza.

Increasing severity since it is broken when it should instead work.

Fabio

PS mdetect still needs to do its job at the appriopriate time and mouse
has to be plugged otherwise X can't do nothing to detect it.

Henrik Nilsen Omma (henrik) wrote :

Such legacy hardware support can actually be quite important from an
accessibility point of view. Special input devices often use legacy connects (I
have a serial mouse for example). Users of these devices may not be able to
simply go out and by a USB replacement. It may be very expensive (ie. $1000), or
may not be available at all.

Matt Zimmerman (mdz) wrote :

(In reply to comment #2)
> Such legacy hardware support can actually be quite important from an
> accessibility point of view. Special input devices often use legacy connects (I
> have a serial mouse for example). Users of these devices may not be able to
> simply go out and by a USB replacement. It may be very expensive (ie. $1000), or
> may not be available at all.

Have you tested if your serial mouse is detected correctly? This is supposed to
work in general, and I thought this was a hardware-specific problem...

I tested the X code and if a serial mouse is detected, the stanza is written
properly.

The problem you might have experienced (as you wrote yourself) is that mdetect
did not recognize the mouse until you were playing with it.

I am reassigning the bug to mdetect.

Fabio

Daniel Stone (daniels) wrote :

Actually, it's not mdetect's problem -- if the user needs to move the mouse in
some way, then they need to be prompted to do so. It would be nice if we could
pause for ten seconds or something, and say 'if you have a serial mouse, move it
now', maybe?

Matt Zimmerman (mdz) wrote :

*** Bug 15532 has been marked as a duplicate of this bug. ***

Daniel Stone (daniels) wrote :

*** Bug 16845 has been marked as a duplicate of this bug. ***

Daniel Stone (daniels) wrote :

*** Bug 19050 has been marked as a duplicate of this bug. ***

Any news about this bug? I have just tried the Ubuntu 5.10 RC (Live CD) and my
serial mouse still doesn't work. This is kidda annoying for a Live CD, usually
used with computers you don't have control or cannot predict the hardware available.

Daniel Stone (daniels) wrote :

*** Bug 24057 has been marked as a duplicate of this bug. ***

Pablo De Nápoli (pdenapo) wrote :

I think this is an important issue.

I've tried Mono LiveCD 1.1.8.3
(Ubuntu Breezy Colony5). I'm using a serial mouse
(since my PS/2 port is broken)
and it failed to detect it. The result is a completely
unusable system (exect for the text-mode consoles).

Is there any work arround?

Javier Jardón (jjardon) wrote :

I solve the problem. I change this (/etc/X11/xorg.org):

Section "InputDevice"
        Identifier "Configured Mouse"
        Driver "mouse"
        Option "CorePointer"
        Option "Device" "/dev/input/mice"
        Option "Protocol" "ImPS/2"
EndSection

for this:

Section "InputDevice"
        Identifier "Configured Mouse"
        Driver "mouse"
        Option "Device" "/dev/ttyS0"
        Option "Protocol" "Microsoft"
EndSection

Dennis Kaarsemaker (dennis) wrote :

*** Bug 25740 has been marked as a duplicate of this bug. ***

Alwin Garside (yogarine) wrote :

The summary should be changed to 'Autodetection fails to find serial MOUSE'...
Most people look for 'serial mouse' on bugzilla when encountering this bug and
won't find anything.

Dennis Kaarsemaker (dennis) wrote :

Good call

Danson Joseph (nosnad) wrote :

This error hasn't been sorted out in breezy. What's happening? This was
reported in warty?

S Bell (guvna0) wrote :

(In reply to comment #16)
> This error hasn't been sorted out in breezy. What's happening? This was
> reported in warty?

Does anyone know if there is a fix for this? I am new to ubuntu and have no
idea of how to apply that fix listed above-can anyone give an insight?

Thanks!

Alwin Garside (yogarine) wrote :

(In reply to comment #17)
> (In reply to comment #16)
> > This error hasn't been sorted out in breezy. What's happening? This was
> > reported in warty?
>
> Does anyone know if there is a fix for this? I am new to ubuntu and have no
> idea of how to apply that fix listed above-can anyone give an insight?
>
> Thanks!

After installation, edit the /etc/X11/xorg.conf file and, under the Section
"InputDevice" that specifies the "Configured Mouse", modify the "Device" option
so that it points to the serial port where your mouse is located (Probably
"/dev/ttyS0") and change the "Protocol" to "Microsoft".

Daniel Stone (daniels) wrote :

*** Bug 26619 has been marked as a duplicate of this bug. ***

Amit Gholap (subscrive) wrote :

from bug http://bugzilla.ubuntu.com/show_bug.cgi?id=20527

"Due to this problem, none of my friends are using ubuntu. And my 10 cd set of
ubuntulinux has gone waste.
They say that if a system cant detect even a mouse, we wont use it."

(In reply to comment #20)
>
> "Due to this problem, none of my friends are using ubuntu. And my 10 cd set of
> ubuntulinux has gone waste.They say that if a system cant detect even a mouse,
> we wont use it."

And your friends are plain right. It's a one year old bug and still without a single solution. Heck, they
haven't even tried to fix it. "Legacy device" isn't a good answer: any PS/2 device is legacy. Floppy drives
are legacy. x86 is legacy. Legacy is not a valid excuse to not support such a widely deployed hardware as
serial mice.

At least Ubuntu/Canonical could assign someone to look at this and post a patch, just to give a little
guidance, a starting point. No doubt there'll be plenty of people to test and improve the patch, I surely
will. But this must start somewhere. It cannot be that difficult, several GPL Linux distributions detects
serial mouse without a glitch and we/Ubuntu could borrow some code from them (Conectiva is an example I can
remember, probably Fedora/RH/Mandrake/Suse also detects serial mouse sucessfully). Hey, even Windows detects
a serial mouse! It's a real shame that Ubuntu cannot accomplish that.

Daniel Stone (daniels) wrote :

*** Bug 13967 has been marked as a duplicate of this bug. ***

Matt Zimmerman (mdz) wrote :

Please see http://lists.ubuntu.com/archives/sounder/2005-November/003291.html
for instructions on how those of you with serial mice can help fix this bug.

Oliver Grawert (ogra) wrote :

There is still no technical possible way to support autodetection for serial mice out of the box, but we found an easy workaround that makes a serial mouse using the /dev/input/mice device, so there is no need to reconfigure your X server anymore.
in warty hoary breezy, there is a packae called joystick which includes a tool called inputattach. running this tool like:
inputattach --<protocol> <device>
(see inputattach --help for supported protocols)
in dapper the inputattach tool was split out of the joystick package, moved to its own package and will be included on the CD by default.

Daniel Stone (daniels) on 2006-03-10
Changed in xorg:
assignee: daniels → nobody
Matt Zimmerman (mdz) on 2006-04-14
description: updated

I'm trying to help by testing out Dapper RC (6.06 20060527). Booting the Live/Desktop CD does not enable the serial mouse on the machine I'm trying it out on.

Andrew Pam (xanni) wrote :

I had this problem with Breezy (5.10) and it's still not fixed with Dapper RC (6.06).
How is a novice user supposed to know what to do when their serial mouse doesn't work? Even if there is no working autodetect, at the very least there should be some way to manually configure a serial mouse during LiveCD startup. Other distributions have had this right for many years.

> How is a novice user supposed to know what to do when their serial
> mouse doesn't work?

Read the documentation :)

> Even if there is no working autodetect, at the very least there should
> be some way to manually configure a serial mouse during LiveCD
> startup. Other distributions have had this right for many years.

That may be the right thing to do: if no ps2 or usb mouse can be
detected, prompt for serial mouse config.

Tell the _novice_ user to read the documentation and change the X configuration, under the risk of messing it up and lose the graphical interface, is not exactly user friendly.

However, asking the user for the correct mouse configuration is, indeed, a very good idea.

An alternative solution would be to setup a serial mouse if no pointing input device was detected. I cannot imagine using the X without such device. Most users also think so. If the system admin don't want a mouse, he may manually change the X configuration: it's much better an experienced person change that than a novice user.

Witold Bołt (ja-hope) wrote :

Well as I see it's quite an old bug, so I just want to say that today I wanted to try out my brand new, cool looking (sent from Canonical) Ubuntu 6.06 LTS CD ... I put it in, boot the system - I see the desktop and that's it - since my old Logitech serial mouse is NOT working, I'm not able to use the system. Ok. I'm quite advanced Linux user - I know that I can edit xorg.conf, or use some other console tools to configure the mouse. It's not so difficult - and I did it many times in old Slackwares;) But hey ... my Windows XP made no problems with that mouse - it just worked.

I think such small elements make the big picture of the whole system. Why "Joe User" doesn't like Linux? Mayby becouse he still (after so many years of development) needs to grab the console and cast some magic spells to make his mouse just work.

Anyway Ubunut is a greate distro ... ;) and I use it on couple of machines.

I tried using the inputattach method.

I have a logitech 3 button serial mouse so I found the appropritate protocol(--mouseman)

I typed the command

sudo inputattach --mouseman /dev/tty50

and it just freezes.

If i try without sudo, it says permission denied.
and by the way, is it tty50 or ttySO because it says file not found with SO

On Sun, 2006-09-10 at 13:24 +0000, paritosh.aggarwal wrote:
> sudo inputattach --mouseman /dev/tty50
>
> and it just freezes.
>
> If i try without sudo, it says permission denied.
> and by the way, is it tty50 or ttySO because it says file not found with SO

Neither. It's ttyS0 (Ess Zero). You'll see it in your /dev directory.

Hope that helps,
  Andrew
--
mailto:<email address hidden> Andrew Pam
http://www.xanadu.com.au/ Chief Scientist, Xanadu
http://www.glasswings.com.au/ Partner, Glass Wings
http://www.sericyb.com.au/ Manager, Serious Cybernetics

I just installed Kubuntu 6.06 on a dual pentium pro 200mhz box.
I'm having the same problem with the serial mouse - used the input attach method but says input/output error.
Any ideas of what could be wrong?

nathanbriggs (nathan-aelgroup) wrote :

ubuntu 6.06 tried both fixes
input attach --microsoft /dev/ttys1
gives
"Inputattach: input/output error"
and modifying xorg.conf as above makes my x session hang
I think calling this bug low priority a little harsh and agree the best option would be an on install if no ps2/usb mouse detected, "do you want to configure a serial mouse now ?" option

nathanbriggs (nathan-aelgroup) wrote :

to follow up, I eventually got this working by running
mdetect -v
I discovered that if mdetect finds nothing it defaults to intellimouse on psaux (on my mobo ymmv)
replacing the mouse then gave me the output
/dev/ttyS0
microsoft
which can be used to edit (copy old version first I ended up with no x at all once)
/etc/X11/xorg.conf
hopefully this will help someone else
PS mdetect is now in dapper 6.06

Javier Jardón (jjardon) wrote :

Problem persist in Ubuntu 6.10 (Edgy)

I make a fresh install and the serial mouse not works :-(

The people at Knoppix seem to have worked it out, my Knoppix live CD has a working serial mouse. straight out of the box.

Maybe we should ask them ?

Miłosz Kosobucki (mikom) wrote :

Gosh, the bug is opened for more than two years :/

Installing 7.04-beta (alternative, text-mode installation) onto system equipped with serial mouse.

After initial reboot mouse is not function.

Things not changed, may the installer ask me if I have serial mouse? It asks me for a less important information many times...

piotrko (piotrekk-kolos) wrote :

Serial mouse can work in xubuntu 7.04 !!! I also couldn't make it work for years :] on my old PC, but this time I did it :)

I'm just showing what helped for me. Read on and get your own conclusions.

I had a serial mouse, inserted directly to a COM. The problem was not only about X. cat /dev/ttyS0 didn't work.

I can't recall exact steps, but the command inputattach was essential. I did it in somehow ugly way, something like this... (case study):

1. Install xubuntu, logged into X (normally) - mouse doesn't work yet.
2. Switched to virtual console and log as root (i. e. Ctrl-Alt-F1).
Note: There is no root account explicitly given to you in (x)ubuntu. I made it this (ugly?) way by changing root's password using sudo:
2.1. Log in as the "ordinary" user (suppose his login is johnny)
2.2. Change root's password:
 Type: sudo passwd
 (type johnnyspasswd - sudo needs this)
 (set new rootpasswd)
 (confirm rootpasswd)
2.3 Log in as root with the new rootpasswd
3. Kill gdm.
To see gdm's PID, you can type: pstree -p |grep gdm. (the leftmost gdm! You'll see two on the output)
4. Typing:
cat /dev/ttyS0
and moving mouse makes no output. (press Ctrl-C after testing)
(also type cat /dev/ttyS1 if you're not sure which COM you are using)
5. Type:
inputattach -bare /dev/ttyS0
(you may need to change -bare to other protocol; inputattach --help gives a list of them)
This command also locks screen (should it?), so make a few movements with the mouse and press Ctrl-C.
6. Type again:
cat /dev/ttyS0.
If you see strange characters-junk on the screen while moving your mouse, you're a happy person!
Press Ctrl-C, type: reset (to clear the screen, if you can't see normal letters) and... what's left to do is to configure mouse in X.

Sorry for such a bloated post, but I prefered to write too much than to less.

Hope it helps someone. Cheers.

Rolf Leggewie (r0lf) wrote :

yes, it helped, piotr. Thank you.

This is still an issue for me. As nathanbriggs said, mdetect reports incorrect values if it has to guess.

The Ubuntu team would love to provide full autodetection for such legacy hardware. To implement this, we need some more data how many mice are really detectable and which brand/model they are.

If you have a serial mouse and want to help, please follow the step described here: https://lists.ubuntu.com/archives/ubuntu-devel/2006-February/015020.html

NorthCS (northcs) wrote :

I boot to Ubuntu 7.04 (this problem also present in 6.06) LiveCD, and have in /etc/X11/xorg.conf:

Option "Device" "/dev/input/mice"
Option "Protocol" "ImPS/2"

I change this to:

Option "Device" "/dev/ttyS0"
Option "Protocol" "MouseSystems"

...for mouse work.

NorthCS,
Please provide the information described here https://lists.ubuntu.com/archives/ubuntu-devel/2006-February/015020.html in this bug report.

NorthCS (northcs) wrote :

Mouse is Serial Genius Easy Mouse with 3 button.

mdetect:
---
/dev/psaux
intellimouse
---

mdetect -vvv 2>/dev/null:
---
The mouse police never sleep.
Read 2 chars from /dev/ttyS3: *q
Read 4 chars from /dev/ttyS0: \030\036\000\015
/dev/psaux sending intellimouse init sequence.
Read 1 chars from /dev/psaux: \372
/dev/psaux querying PS/2 ID.
Read 2 chars from /dev/psaux: \372\003
/dev/psaux says it's a intellimouse mouse
Found the following devices:
   /dev/psaux
   /dev/ttyS0
   /dev/ttyS3
   /dev/input/mouse0

Detected intellimouse mouse on /dev/psaux
---
I have PS/2 port without mouse
Internal serial Dial-Up modem as ttyS3
and Serial Mouse on ttyS0

Timo Aaltonen (tjaalton) wrote :

Please try with Hardy livecd if you can reproduce the issue. It doesn't force the Device or Protocol anymore.

Changed in xorg:
status: Confirmed → Incomplete
Timo Aaltonen (tjaalton) wrote :

Closing the bug since there has been no replies since January. If you still see the bug with 8.04, feel free to reopen.

Changed in xorg:
status: Incomplete → Invalid

On Sunday 18 May 2008, my mailbox was graced by a missive
 from Timo Aaltonen <email address hidden> who wrote:

> Closing the bug since there has been no replies since January. If you
> still see the bug with 8.04, feel free to reopen.
>
> ** Changed in: xorg (Ubuntu)
> Status: Incomplete => Invalid

No problem here, this bug (and a few other things) annoyed me so much I
returned to Mandriva a long time ago.

Cheers,

Ron.
--
                          Opportunity always knocks
                        at the least opportune moment.

                   -- http://www.olgiati-in-paraguay.org --

AFAIK this bug still affects Hardy, I'm going to test it this weekend when I'll install Ubuntu on a PC which I know only uses a serial mouse. Depending on the results I'll confirm or close this bug.

Changed in xorg:
status: Invalid → Incomplete

It's still a problem in 8.04 my solution is the folowing:
in /etc/X11/xorg.conf make sure you have the folowing section:

Section "InputDevice"
 Identifier "Configured Mouse"
 Driver "mouse"
 Option "CorePointer"
 Option "Device" "/dev/ttyS0"
 Option "Protocol" "auto"
EndSection

if /dev/ttyS0 does not work try ttyS1

You know for a operating system as serious as ubuntu a 4 year bug like this doesn't realy look good

Alwin Garside (yogarine) wrote :

I confirmed this bug in Ubuntu Hardy

Changed in xorg:
status: Incomplete → Confirmed
Tom Arnold (g0tt) wrote :

Confirmed for Ubuntu and Xubuntu 8.04

Yay for _four_ years old bugs that have NOT been fixed! ;)

Oliver Grawert (ogra) wrote :

There is no way to get information about attached serial mice on the serial port by HW design,
if someone has any idea or suggestion how to query serial ports in an effective way to fix this (whithout trashing (and i mean trashing like you can throw it away) other attached serial HW by sending commads to the port),

feel free to reopen and suggest a way to detect serial mice please if there is no way to get any info about these devices

since there are many complaints about this bug being still open i close it now as it is unsolvable by design of the involved HW, please configure inputattach manually if you want to use serial mice in X.

Changed in xorg:
status: Confirmed → Invalid
Oliver Grawert (ogra) wrote :

sorry, that should have read
"if you know a way ... "
instead of
"if there is no way ..."

Tom Arnold (g0tt) wrote :

Additional info:

It is not detected in installer, live-CD and installation.

Tom Arnold (g0tt) wrote :

Other distros can do it just fine since 1996 .. how about:

If no PS/2 , USB etc mouse is found just assume that there is a serial mouse attached and configure X accordingly.

Oliver Grawert (ogra) wrote :

thats easy, but how would you determine the needed protocol (there are plenty) without quering the port and make sure you dont trash the $1000 serial braille terminal attached to ttyS0 then ?

Tom Arnold (g0tt) wrote :

Hmm, I don't know.
I guess I would do it like Windows95 and just use "Standard Serial Mouse" protocol. That should make most people happy ( like 99 % .. like the ones that complain a lot :P ). People do not exspect Ubuntu to work with every obscure hardware ( well some probably do ) but it should work with hardware that Windows works with out of the box ( which isn't that much .. actually it is very little ).
If that is a no go for you how about low tech solution .. have a configure dialog pop up and ask people what kind of mouse they have.
Or maybe a high tech solution ( not sure this is possible .. I am brainstroming :) ) .. analyse the signals you receive from the serial ports and guess the protocol.

Marking this as wontfix is not the right solution though IMHO.

On Saturday 21 June 2008, my mailbox was graced by a missive
 from Oliver Grawert <email address hidden> who wrote:

> There is no way to get information about attached serial mice on the serial
> port by HW design,

Maybe have a look at how the Mandriva people do it ?

Serial mouse have installed/worked without problem since I first tried
Mandrake6.1 IIRC.

Cheers,

Ron.
--
                          An apple every eight hours
                        will keep three doctors away.

                   -- http://www.olgiati-in-paraguay.org --

I think Tom Arnold's idea would do the trick.
And as Renaud OLGIATI said it's probably also a good idea to take a look how other distro's solve the problem.

We don't need to query the Serial Port to know _exactly_ what kind of Serial Mouse we're using. If we could at least discover that the user is using *any* serial mouse that will solve 99% of the cases.

On Saturday 21 June 2008, my mailbox was graced by a missive
 from Tom Arnold <email address hidden> who wrote:

> If that is a no go for you how about low tech solution .. have a configure
> dialog pop up and ask people what kind of mouse they have.

Or a mite more hi-tech: have the preceeding pop-up dialog only if the install
does not identify any mouse ?
And complete it with a mouse-testing screen so the user can check he inputed
the right com port ?

Cheers,

Ron.
--
    There are two major products that come out of Berkeley: LSD and UNIX.
                  We don't believe this to be a coincidence.
                                                    -- Jeremy S. Anderson

                   -- http://www.olgiati-in-paraguay.org --

* Other distros detect serial mice
* It's OK to ask the user for input
* Has anyone looked at "Please move your mouse" while read-only probing serial ports?
* If there is hardware that gets permanently damaged from probing, it's the responsibility of maintainers for the drivers for that hardware and/or the manufacturers and/or owners to provide information about how to avoid the problem.

Changed in xorg:
status: Invalid → Confirmed

On Sunday 22 June 2008, my mailbox was graced by a missive
 from Andrew Pam <email address hidden> who wrote:

> * Other distros detect serial mice

Would not go as far as saying "detect".

But in Mandrake/Mandriva in tha abscence of a PS2 or USB mouse a window opens
inquiring about your mouse, what com port it is on, and then offers a test
window so you can check that the parameters entered work.

Cheers,

Ron.
--
                        Have you ever imagined a world
                      with no hypothetical situations ?

                   -- http://www.olgiati-in-paraguay.org --

Bug still present in Hardy, as reported above.

Got the mouse working with https://help.ubuntu.com/community/SerialMouseHowto and some trivial changes. which I've added to the document.

A solution such as what other distros use, as suggested by Ron above, would be more than sufficient.

Tom Arnold (g0tt) wrote :

I am all for Rons solution. Can we rip that from mandriva somehow?

Bryce Harrington (bryce) wrote :

Anyone have a pointer to mandriva's patch or package that implements this?

On Wednesday 08 October 2008, my mailbox was graced by a missive
 from Bryce Harrington <email address hidden> who wrote:

> Anyone have a pointer to mandriva's patch or package that implements
> this?

From my experience installing Mandrake/Mandriva over the last ten years,, the
install process looks for a mouse, and if it does not find one it then offers
you the coice of a serial mouse, and opens a window asking you to choose a
tty port, followed by a test window where you can test if the mouse works and
clicks properly, exit, or return to the preceeding screen to try another tty.

Cheers,

Ron.
--
                    Experience is not what happens to you;
                 it is what you do with what happens to you.
                                            -- Aldous Huxley

                   -- http://www.olgiati-in-paraguay.org --

that wouldn't work in ubuntu, since the main installer is ubiquity, which runs on top of X. Maybe this bug belongs to casper then..

ps. I'm amazed that people still miss serial mice.. surely those can't be bought as new anymore?

Changed in xorg:
milestone: ubuntu-6.06 → none

I've changed the description to include the term 'mouse', as suggested in 2005, to hopefully reduce duplicate postings of this bug.

I still bump into this bug regularly - there are a lot of old serial mice still in good working order, especially where I operate - NGO's and small businesses on the tip of Africa, where new hardware is a luxury.

Generally to get really old hardware working with Ubuntu I need more memory (which is unavoidable) and a new mouse, which is unfortunate :)

pbhj (pbhj) wrote :

Totally OT, sorry.

@Ian Gilfillan: why Ubuntu, not Xubuntu? Or even better something like DSL (Damn Small Linux)?

Bryce Harrington (bryce) wrote :

well, refiling against casper then. I don't think this is something we can solve in xorg.

Lance Benson (lance-benson) wrote :

Confirmed for Ubuntu 9.04. "inputattach --microsoft /dev/ttyS1" (for serial port 2) gives me "can't set line discipline". Editing /etc/X11/xorg.conf manually did not help me either, tho I'm not confident that I did it right. But I got a usb mouse and that works, so no isue for me now. But ...

Puppy had no problem with the serial mouse. It said, "I think you have a serial mouse. Do you?". If you reply, "Yes", it says, "I think it is on ttyS0. Is it?". You can reply "yes," or "no" and tell it where it is.

kethd (kethd) wrote :

Going on five years on this serial mouse bug, apparently little progress... today I was testing a PCChips M748LMRT mainboard, with AT keyboard, serial mouse, no PS/2 or USB. 384MB. Puppy Linux booted fine, with simple manual choice of serial mouse. The latest Ubuntu 9.04 was useless. Booted into destop GUI, mouse cursor, but no mouse response. No useful boot parameter help from LiveCD. Googling for Ubuntu serial mouse boot parameters also no help, just repeated obscure references to "mouse/device=/dev/ttyS1". No mention of the fact that this geekness actually refers to the second COM port, not the first. How can something so basic and simple be so complicated? Tried Knoppix 5.1.1 CD. Auto detected and configured the standard Microsoft Serial Mouse 2.0A just fine. Delving into the dmesg there revealed the proper /dev/ttyS0 reference. Of course, by then, I didn't need to know, since 2007 Knoppix Just Worked. Ubuntu is mostly great, but if Puppy starts converting to Ubuntu base and loses the special advantages, it will be a big loss for the linux LiveCD ecosystem. The more I experiment, the more I get the feeling Ubuntu does not really believe in LiveCD mode, just views it as a demo toy. For years, most of my Linux experience has been from LiveCD, from scratch, over and over. If it doesn't work well enough, I move on to another distro. Puppy is the only distro I have ever found that always properly supports my new 1360x768 Toshiba LCD TV -- another victory for simple manual selection. Ubuntu auto-supports the TV less than half the time, randomly -- mostly I get a mysterious no-video mode; and after months of struggle I have not yet found any secret cheatcode to make it always work. One gets tired of trying to use something that may need to be rebooted ten times before it starts properly. It would be a vast improvement if Ubuntu LiveCD offered an alternative Puppy-like simple manual start mode, just asking about mouse, keyboard, and video modes.

kethd (kethd) wrote :

Even going back and carefully booting 9.04 with the secret "mouse/device=/dev/ttyS0" boot parameters did no good. Trying to navigate 9.04 desktop using kbd with no mouse was cute for a couple minutes, got frustrating fast -- did not find any way to activate serial mouse.

RomanIvanov (ivanov-jr) wrote :

Xubuntu 9.04 Live CD, and even after installation.

Mouse on Com port - does not autodetected. Event after changing configuration according to https://help.ubuntu.com/community/SerialMouseHowto - no effect. Still nonfunctional. USB and PS/2 mouses work fine.

My hardware:
Mouse: A4tech SWW-25
Motherboard: SL-75DRV2

Bambabur (bambabur) wrote :
Bambabur (bambabur) wrote :

I solved problem changing HAL configuration. I modified the file
/usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi in Ubuntu 9.10
changing the mouse configuration section with these lines:

    <match key="info.capabilities" contains="input.mouse">
      <merge key="input.device" type="string">/dev/ttyS0</merge>
      <merge key="linux.device_file" type="string">/dev/ttyS0</merge>
      <merge key="input.x11_driver" type="string">mouse</merge>
    </match>

After this change, it's needed to restart HAL and Xorg.
Maybe someone can do better and produce a new file... but at least my serial mouse
it's working now! (sorry i posted the whole file before the solution :-P)

Bye!

Mirco

VPablo (villumar) wrote :

Hello Bambabur, that worked for me on Xubuntu 9.10 Karmic Koala RC.

Thanks!

Changed in casper (Ubuntu):
milestone: none → ubuntu-10.04
martin hodges (martin-hodges) wrote :

I use a MEDL trackball which uses the old mousesystems protocol.
HAL detection will not work as there is nothing to detect. I followed the advice of the above post with no success, and another which reproduced the entire relevant mouse section from my old xorg.conf. To no avail, the parameters I had supplied were appended to the emulated "Macintosh button mouse" device.

A solution for the myriad of upgrading users out here is to re-enable 'Mouse' driver sections in xorg.conf. This is disabled in the HAL driven xorg editions since 9.04. One must add the line:-

    Option "AllowEmptyInput" "false"

in the ServerLayout section.
This still allows the auto detection of HAL devices but allows the inclusion of manual entries in xorg.conf.
Many users with serial mice have had to resort to editing xorg.conf and this restores that possibility.

FYI, Red Hat has a mouse config utility that handles serial mice:

http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/install-guide/s1-mouseconfig.html

Also, Mandriva handles a serial mouse, but appears to also be having issues now which would indicate it's an xorg problem in general:

https://qa.mandriva.com/show_bug.cgi?id=53544

Thank you for the link

Have a great day

--- On Mon, 3/1/10, Ruly <email address hidden> wrote:

From: Ruly <email address hidden>
Subject: [Bug 9068] Re: Serial mouse/mice not autodetected
To: <email address hidden>
Date: Monday, March 1, 2010, 4:49 PM

FYI, Red Hat has a mouse config utility that handles serial mice:

http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/install-
guide/s1-mouseconfig.html

Also, Mandriva handles a serial mouse, but appears to also be having
issues now which would indicate it's an xorg problem in general:

https://qa.mandriva.com/show_bug.cgi?id=53544

** Bug watch added: Mandriva Linux #53544
   http://qa.mandriva.com/show_bug.cgi?id=53544

--
Serial mouse/mice not autodetected
https://bugs.launchpad.net/bugs/9068
You received this bug notification because you are a direct subscriber
of the bug.

Status in “casper” package in Ubuntu: Confirmed
Status in “xorg” package in Baltix: New

Bug description:
When the X server is automatically configured, users with serial mice must perform additional manual configuration, specifically:

1. [only for releases prior to 6.06/Dapper] Install the 'joystick' package (don't ask)

2. Run 'inputattach --help' and find the appropriate protocol option to match your mouse

3. Run 'inputattach <protocol option> /dev/ttyS0'.  This command must be run at system startup in order for this configuration to be permanent; in Dapper, it may be added to /etc/rc.local

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/casper/+bug/9068/+subscribe

Dave (dwtietz) wrote :

I'm really disappointed that I even needed to look for this bug report tonight. I'm trying to install xubuntu on an older system with very limited resources and have not been successful with getting the serial mouse to work with any of the "how to's" I've seen yet. (Currently trying with 9.4).

In more than 15 years, I have never seen an OS installation that provides a GUI desktop environment not provide an option to manually select a serial mouse if no mouse was auto detected during the installation. Even Windows 3.1 and GeoWorks Ensemble do this.

Forgive my ignorance if I am incorrect, but if most Linux distros (in general) are open source... can't someone just look at the source code for another Linux flavor that allows this to see how they did it?

This is crude, inaccurate and incomplete, but couldn't the basic flow of operations go something like this:

If MouseAutoDetected = false then
   ChooseMouse()
End If

---

Sub ChooseMouse()
  x=msg ("No Mouse was detected. Would you like to configure a serial mouse?", YesNo)
  if x = true then
     QuitMouseSelection = 0
     do while z != 1
        msg "Select a serial port and driver from the lists below and click the Test Mouse button"
        'Obviously... this would be displayed on the screen.
        msg "Press Q to quit without configuring a mouse"
        z = TestMouseButton(y)
        'keyscan - was 'Q' pressed? if "Yes" QuitMouseSelection = 1 and exit sub...
        'used to escape sequence without configuring a mouse
     next
  else
     exit sub
  end if
end sub

---

Sub TestMouseButton_OnClick()
   msg "Move the mouse now"
   'timer runs for 5 seconds
   y = msg ("Did you see the mouse move?" YesNo)
end sub

The above is not intended to be accurate in any way... it is just intended to throw the idea out there so that some kind of an option could be provided.

I agree completely and I don't use Ubuntu and/or Linux anymore. I return
back Mac OS.

On Tue, Mar 23, 2010 at 1:48 AM, Dave <email address hidden> wrote:

> I'm really disappointed that I even needed to look for this bug report
> tonight. I'm trying to install xubuntu on an older system with very
> limited resources and have not been successful with getting the serial
> mouse to work with any of the "how to's" I've seen yet. (Currently
> trying with 9.4).
>
> In more than 15 years, I have never seen an OS installation that
> provides a GUI desktop environment not provide an option to manually
> select a serial mouse if no mouse was auto detected during the
> installation. Even Windows 3.1 and GeoWorks Ensemble do this.
>
> Forgive my ignorance if I am incorrect, but if most Linux distros (in
> general) are open source... can't someone just look at the source code
> for another Linux flavor that allows this to see how they did it?
>
> This is crude, inaccurate and incomplete, but couldn't the basic flow of
> operations go something like this:
>
> If MouseAutoDetected = false then
> ChooseMouse()
> End If
>
> ---
>
> Sub ChooseMouse()
> x=msg ("No Mouse was detected. Would you like to configure a serial
> mouse?", YesNo)
> if x = true then
> QuitMouseSelection = 0
> do while z != 1
> msg "Select a serial port and driver from the lists below and click
> the Test Mouse button"
> 'Obviously... this would be displayed on the screen.
> msg "Press Q to quit without configuring a mouse"
> z = TestMouseButton(y)
> 'keyscan - was 'Q' pressed? if "Yes" QuitMouseSelection = 1 and exit
> sub...
> 'used to escape sequence without configuring a mouse
> next
> else
> exit sub
> end if
> end sub
>
> ---
>
> Sub TestMouseButton_OnClick()
> msg "Move the mouse now"
> 'timer runs for 5 seconds
> y = msg ("Did you see the mouse move?" YesNo)
> end sub
>
>
> The above is not intended to be accurate in any way... it is just intended
> to throw the idea out there so that some kind of an option could be
> provided.
>
> --
> Serial mouse/mice not autodetected
> https://bugs.launchpad.net/bugs/9068
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Rodrigo

Dave (dwtietz) wrote :

Yay. Well, I now have the serial mouse working in 9.04 as per suggestions located here: http://ubuntuforums.org/showthread.php?t=1138058 and here http://ubuntu-utah.ubuntuforums.org/showthread.php?p=8243278

I just hope it will continue to work if I upgrade to 10.04 as I read something on another page indicating that the HAL won't be responsible for configuring devices, or maybe it was that this would be done in a different way.

Well, it works or now, but really - there should be utils built to handle this issue.

Just to add, there are those of us who use special pointing devices (myself included), such as for the handicapped or special medical needs or in specific locations such as a shop floor where a mouse would not work because of environmental issues (dirt, space, etc.). Some of these pointing devices (trackballs, joystick like devices etc.) are old and hard to replace and of course many emulate a serial mouse. For some this isn't just a convenience issue, it is an accessiblity issue.

Bryce Harrington (bryce) wrote :

Yes, HAL is dropped in Lucid so the fdi file technique is not relevant anymore. Instead, we have incorporated an xorg.conf.d snippets system, whereby you will configure things like this by dropping a file with the serial mouse snippet (like the ones in comments #12 or #49) into your /etc/X11/xorg.conf.d/ directory. We figure that the fdi file syntax (and the udev syntax that replaced it in earlier versions of lucid) only served to make configuration more obtuse - while editing config files is not a pleasant way to get things working, at least the xorg.conf syntax is reasonably well known and documented pretty heavily on the internet.

Ruslan (b7-10110111) wrote :

Isn't this all the kernel issue, not Xorg one? IMHO the kernel should support the serial mice as it supports PS/2 mice.
I tested my COM mouse on Windows, and when i press "search for new hardware" button, it just autodetects it. I don't even have to move the mouse. And, as i experimented with my mouse on linux, it gives some 55 bytes of (supposedly) identification data on power-on (or minicom 'initialize modem'). I looked into leaked WindNT sources and found that windows uses these (or similar) data to identify mouse.

The problem is not that the serial mouse does not work, but that it need to be configured to work.

And when installing Ubuntu we do not get a chance to configure it, unlike what some other distributions (Mandriva, PCLinuxOS etc) do: if they do not detect a PS2 or USB mouse, they go into mouse configuration, asking for port and interrupt, and then on to a mouse-testing page where you can move cursor, click right and left, before going back to the mouse config or exit once you have it working.

Jerzy (jerzyglowacki) wrote :

Come on! I am running Lubuntu 10.04 and still my serial mouse is not recognized! I have to manually edit xorg.conf and restart X and it works. But what about people who have old computers and don't know how to use terminal?

It should be obvious to all by now that the powers that be are not interested in this bug;
it has been open for nearly six years now, and nothing has been done, in spite of numerous calls to see how the good people at Mandriva manage to do it, and have managed it ever since I first used Mandrake 6.1 over ten years ago.

Steve Langasek (vorlon) on 2010-05-17
Changed in casper (Ubuntu):
milestone: ubuntu-10.04 → none
Changed in casper (Mandriva):
status: Unknown → Confirmed

Thank you for posting this issue.

Does this occur in Lucid?

FYI, Mandriva is under humongous structural difficulty as per:

http://www.mandriva.com/enterprise/en/company/press/mandriva-restructures-to-establish-european-leadership

May want to consider changing distros to... Ubuntu! ;)

Changed in casper (Ubuntu):
status: Confirmed → Incomplete
Changed in xorg (Baltix):
status: New → Incomplete
Changed in casper (Mandriva):
importance: Unknown → High
Changed in casper (Ubuntu):
status: Incomplete → Confirmed
Thomas Hotz (thotz) on 2012-10-02
Changed in xorg (Baltix):
status: Incomplete → Invalid
Thomas Hotz (thotz) on 2012-11-06
Changed in xorg (Baltix):
status: Invalid → Confirmed
Tom Arnold (g0tt) wrote :

AFAICS serial mice still not work automatically like in Windows 95 or Mandriva etc. So still valid after 8 years.

I started to comment that Ubuntu 12.10 doesn't autodetect my paper tape reader and punch, but decided that's too snarky (plus I don't really use them). It probably doesn't autodetect Hollerith card readers, either. ;-)

It's possible I may no longer own the systems I previously used to test THIS bug -- I suspect the hardware now in my office has no serial ports, and the serial mouse is missing, too, so I would need to scrounge both a serial card and a serial mouse.

My real point is that in order to address this bug in a satisfactory way, the folks with the technical skills and the folks with the hardware MUST intersect. Despite being in one group in the past, now I am no longer in either group. :-(

It doesn't help to note how many minutes, days, months or years this bug has been open... there are fewer and fewer folks who have the hardware to test it, so this is not the place to look for help.

I was just searching http://ubuntuforums.org/ to see if there are any active threads that mention "serial mouse" and there are a few (most regarding graphics tablets). Most of the helpful comments in this bug include forum links, SO the forums might be where the technical knowledge and hardware ownership are most likely to intersect.

This bug is old, and was opened at a time when the use of mice with serial
ports was common. The fact that he is still present today demonstrates the
inefficiency in the past (and to some extent still today) of the team to
solve this problem. After performing a test with a serial mouse in the
latest version of the Windows system (Win8 Pro) it worked automatically.

*
*
*Rodrigo Varella Rahmi*

On Tue, Nov 6, 2012 at 2:27 PM, Tommy Trussell <email address hidden>wrote:

> I started to comment that Ubuntu 12.10 doesn't autodetect my paper tape
> reader and punch, but decided that's too snarky (plus I don't really use
> them). It probably doesn't autodetect Hollerith card readers, either.
> ;-)
>
> It's possible I may no longer own the systems I previously used to test
> THIS bug -- I suspect the hardware now in my office has no serial ports,
> and the serial mouse is missing, too, so I would need to scrounge both a
> serial card and a serial mouse.
>
> My real point is that in order to address this bug in a satisfactory
> way, the folks with the technical skills and the folks with the hardware
> MUST intersect. Despite being in one group in the past, now I am no
> longer in either group. :-(
>
> It doesn't help to note how many minutes, days, months or years this bug
> has been open... there are fewer and fewer folks who have the hardware
> to test it, so this is not the place to look for help.
>
> I was just searching http://ubuntuforums.org/ to see if there are any
> active threads that mention "serial mouse" and there are a few (most
> regarding graphics tablets). Most of the helpful comments in this bug
> include forum links, SO the forums might be where the technical
> knowledge and hardware ownership are most likely to intersect.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (68315).
> https://bugs.launchpad.net/bugs/9068
>
> Title:
> Serial mouse/mice not autodetected
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/casper/+bug/9068/+subscriptions
>

On Wednesday 07 Nov 2012 15:21 my mailbox was graced by a message from Rodrigo
Varella Rahmi who wrote:
> This bug is old, and was opened at a time when the use of mice with serial
> ports was common. The fact that he is still present today demonstrates the
> inefficiency in the past (and to some extent still today) of the team to
> solve this problem. After performing a test with a serial mouse in the
> latest version of the Windows system (Win8 Pro) it worked automatically.

Yes, because in the absence of anything else detected, Windoze decides the
mouse must be serial.

Ubuntu, for reasons unknown, does not.

Cheers,

Ron.
--
                         A man with a million dollars
                      is as well off as if he were rich.
                                          -- J.P. Morgan

                   -- http://www.olgiati-in-paraguay.org --

Shams (shamstaj) wrote :

Hi,
I am using ubuntu 12.04, my mouse is Ligitech wireless, it had been working fine suddenly the MMB no. 3 stoped working though scrolling works fine, it has three button right , left and middle with scrol , after checking few forums and the command " xev | grep -i button " i figured out that if i tilt the scrol button to the right a bit and press then button no. 3 (MMB) works, any idea ? thanks.

Andrew Pam (xanni) wrote :

On 16/12/13 15:11, Shams wrote:
> I am using ubuntu 12.04, my mouse is Ligitech wireless, it had been working fine suddenly the MMB no. 3 stoped working though scrolling works fine, it has three button right , left and middle with scrol , after checking few forums and the command " xev | grep -i button " i figured out that if i tilt the scrol button to the right a bit and press then button no. 3 (MMB) works, any idea ? thanks.

Sounds like a hardware issue - either it has dust or dirt in it or it's
starting to wear out. You can try opening it up and cleaning it if
you're comfortable doing that. In any case your issue is not related to
this bug.

Cheers,
     Andrew

--
Andrew Pam
Partner, Glass Wings http://glasswings.com.au/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.